(
  mesh = undefined 
  for obj in objects do
    if ((classOf obj) != BoneGeometry) and
	   ((classOf obj) != Biped_object) and
	   (canConvertTo obj TriMeshGeometry) 
	     then
		   (
		     mesh = obj
			 exit
		   )
  FileName = GetSaveFileName types: "Zealot's animation model (*.zmm)|*.zmm|"
  if (FileName != undefined) and (mesh != undefined)
  then
  (
    start = animationRange.start.frame as integer;
	end = animationRange.end.frame as integer;
	V_Count = mesh.numVerts
	T_Count = mesh.numTVerts
    F_Count = mesh.numFaces
	
	
	file = fopen FileName "wb"
	
	--  
	WriteLong file V_Count
	--   
	WriteLong file T_Count
	--  
	WriteLong file F_Count
	--  
	WriteLong file (end - start + 1)

	for i = 1 to F_Count do
	(
	  f = (GetFace mesh i) - [1,1,1]
	  WriteLong file (f.x as integer)
	  WriteLong file (f.y as integer)
	  WriteLong file (f.z as integer)	  
	)

        for i = 1 to F_Count do
          (
	    f = (GetTVFace mesh i) - [1,1,1]
	      WriteLong file (f.x as Integer)
	      WriteLong file (f.y as Integer)
	      WriteLong file (f.z as Integer)	  
	  )	
	
	for i = 1 to T_Count do
	  (
	    t = (GetTVert mesh i)
		WriteFloat file t.x
		WriteFloat file (t.y)
	  )

	for frame = start to end do
	  at time frame
	    for i = 1 to V_Count do
		(
		  p = (GetVert mesh i)
		  
		  WriteFloat file p.x
		  WriteFloat file p.y
		  WriteFloat file p.z
		)
    fclose file
	print "Zealot's animation model convertion finished!"
  )
)